[Development] Deprecation/removal model going into Qt 6

Alberto Mardegan mardy at users.sourceforge.net
Sat Jun 1 16:12:58 CEST 2019


On 5/31/19 4:24 PM, Volker Hilsheimer wrote:
> Nobody is forced to move to Qt 6 right away; Qt 5.15 is an LTS with
> three years maintenance. We are not expecting lots of people to jump
> on Qt 6.0 anyway (because .0, and not an LTS release anyway), so when
> an API was marked as deprecated makes perhaps not that much
> difference “in real time”.

Three years is not a lot of time when moving between major releases. It
would be nice if the last LTS release in a major release series were
supported for a longer time (5 years?).

Ciao,
  Alberto

-- 
http://www.mardy.it - Geek in un lingua international


More information about the Development mailing list